Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1748943002: [Extensions] Harden against bindings interception (Closed)

Created:
3 years, 8 months ago by Devlin
Modified:
3 years, 8 months ago
CC:
chromium-apps-reviews_chromium.org, chromium-reviews, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] Harden against bindings interception There's more we can do but this is a start. BUG=590275 BUG=590118 Committed: https://crrev.com/75b803b1c81ed9fa5513cbff550232b4fb915e7b Cr-Commit-Position: refs/heads/master@{#378621}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+126 lines, -2 lines) Patch
M chrome/browser/extensions/extension_bindings_apitest.cc View 1 chunk +25 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/bindings/function_interceptions.html View 1 chunk +56 lines, -0 lines 0 comments Download
M extensions/renderer/module_system.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/renderer/v8_helpers.h View 3 chunks +43 lines, -0 lines 0 comments Download

Messages

Total messages: 10 (3 generated)
Devlin
Jochen, Antony, mind taking a look? See the bugs for more context.
3 years, 8 months ago (2016-03-01 00:06:23 UTC) #2
jochen (gone - plz use gerrit)
lgtm
3 years, 8 months ago (2016-03-01 14:40:26 UTC) #3
asargent_no_longer_on_chrome
lgtm BTW, I wasn't cc'd on the bugs so I couldn't view them - mind ...
3 years, 8 months ago (2016-03-01 20:43:44 UTC) #4
Devlin
On 2016/03/01 20:43:44, Antony Sargent wrote: > lgtm > > BTW, I wasn't cc'd on ...
3 years, 8 months ago (2016-03-01 21:00:46 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1748943002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1748943002/1
3 years, 8 months ago (2016-03-01 23:05:11 UTC) #7
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 8 months ago (2016-03-02 00:13:58 UTC) #8
commit-bot: I haz the power
3 years, 8 months ago (2016-03-02 00:15:23 UTC) #10
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/75b803b1c81ed9fa5513cbff550232b4fb915e7b
Cr-Commit-Position: refs/heads/master@{#378621}

Powered by Google App Engine
This is Rietveld 408576698